> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdstationmentoria.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter workspace

> Retorna detalhes do workspace.



## OpenAPI

````yaml https://api.contas.rdstationmentoria.com.br/rest get /workspaces/current
openapi: 3.0.3
info:
  title: Accounts
  version: 0.0.1
servers:
  - url: https://api.contas.rdstationmentoria.com.br/rest
security: []
paths:
  /workspaces/current:
    get:
      tags:
        - Workspaces
      summary: Obter workspace
      description: Retorna detalhes do workspace.
      operationId: workspaces-current
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Identificador único do workspace
                  type:
                    type: string
                    enum:
                      - legal_entity
                      - individual
                    description: 'Tipo de workspace: pessoa jurídica ou física'
                  name:
                    type: string
                    description: Nome do workspace
                  picture:
                    type: object
                    properties:
                      url:
                        type: string
                        description: URL do arquivo
                      title:
                        type: string
                        nullable: true
                        default: null
                        description: Título do arquivo
                      size:
                        type: number
                        nullable: true
                        default: null
                        description: Tamanho do arquivo em bytes
                      key:
                        type: string
                        nullable: true
                        default: null
                        description: Chave do arquivo no armazenamento
                      ext:
                        type: string
                        nullable: true
                        default: null
                        description: Extensão do arquivo
                      img:
                        type: string
                        nullable: true
                        default: null
                        description: Imagem prévia do arquivo
                      description:
                        type: string
                        nullable: true
                        default: null
                        description: Descrição do arquivo
                    required:
                      - url
                    additionalProperties: false
                    description: Imagem do workspace (opcional)
                    nullable: true
                    default: null
                  site:
                    type: string
                    nullable: true
                    default: null
                    description: Site do workspace (opcional)
                  createdBy:
                    type: string
                    description: ID do usuário que criou o registro
                    nullable: true
                    default: null
                  updatedBy:
                    type: string
                    description: ID do usuário que atualizou o registro
                    nullable: true
                    default: null
                  createdAt:
                    type: string
                    format: date-time
                    default: '2026-02-08T00:20:48.495Z'
                    description: Data de criação
                  updatedAt:
                    type: string
                    format: date-time
                    default: '2026-02-08T00:20:48.495Z'
                    description: Data da última atualização
                required:
                  - id
                  - type
                  - name
                additionalProperties: false
                nullable: true
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````